org.apache.uima.analysis_engine.annotator

## Class AnnotatorInitializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.UIMAException
      - - org.apache.uima.analysis_engine.annotator.AnnotatorInitializationException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class AnnotatorInitializationException
      extends UIMAException

  An `AnnotatorInitializationException` may be thrown by an annotator's initialize method, indicating that the annotator failed to successfully initialize itself.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEATURE_NOT_FOUND` Message key for a standard UIMA exception message: "Annotator class {0} requires Feature {1}, which was not found in the CAS."
    `static String` | `TYPE_NOT_FOUND` Message key for a standard UIMA exception message: "Annotator class {0} requires Type {1}, which was not found in the CAS."
    `static String` | `WRONG_CAS_TYPE` Message key for a standard UIMA exception message: "Annotator class {0} was initialized with a CAS that does not implement the required interface {1}."

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotatorInitializationException()` Creates a new exception with a null message.
    `AnnotatorInitializationException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `AnnotatorInitializationException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `AnnotatorInitializationException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `AnnotatorInitializationException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `AnnotatorInitializationException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMAException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### WRONG_CAS_TYPE

          public static final String WRONG_CAS_TYPE

      Message key for a standard UIMA exception message: "Annotator class {0} was initialized with a CAS that does not implement the required interface {1}."
      See Also:
        Constant Field Values

    - #### TYPE_NOT_FOUND

          public static final String TYPE_NOT_FOUND

      Message key for a standard UIMA exception message: "Annotator class {0} requires Type {1}, which was not found in the CAS."
      See Also:
        Constant Field Values

    - #### FEATURE_NOT_FOUND

          public static final String FEATURE_NOT_FOUND

      Message key for a standard UIMA exception message: "Annotator class {0} requires Feature {1}, which was not found in the CAS."
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnnotatorInitializationException

          public AnnotatorInitializationException()

      Creates a new exception with a null message.

    - #### AnnotatorInitializationException

          public AnnotatorInitializationException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### AnnotatorInitializationException

          public AnnotatorInitializationException(String aResourceBundleName,
                                                  String aMessageKey,
                                                  Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### AnnotatorInitializationException

          public AnnotatorInitializationException(String aResourceBundleName,
                                                  String aMessageKey,
                                                  Object[] aArguments,
                                                  Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### AnnotatorInitializationException

          public AnnotatorInitializationException(String aMessageKey,
                                                  Object[] aArguments)

      Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### AnnotatorInitializationException

          public AnnotatorInitializationException(String aMessageKey,
                                                  Object[] aArguments,
                                                  Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.